Package org.apache.sling.cms.core.internal.models

## Class ComponentPolicyManagerImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.ComponentPolicyManagerImpl

All Implemented Interfaces:
  `ComponentPolicyManager`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.ComponentPolicyManager.class)
    public class ComponentPolicyManagerImpl
    extends Object
    implements ComponentPolicyManager

### Constructor Summary

Constructors
`ComponentPolicyManagerImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ComponentPolicy` `getComponentPolicy()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentPolicyManagerImpl

    public ComponentPolicyManagerImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getComponentPolicy

    public ComponentPolicy getComponentPolicy()

Specified by:
  `getComponentPolicy` in interface `ComponentPolicyManager`